Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5213 - sndconfig 0.33 crashes my system
Summary: sndconfig 0.33 crashes my system
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-18 21:16 UTC by ezra
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-04 15:09:25 UTC


Attachments (Terms of Use)

Description ezra 1999-09-18 21:16:25 UTC
Hi I'm running Redhat 6.0 it works perfectly with the
exception of the sound card, whose driver is not loading. So,
as I have done on previous versions of Redhat, I tried
running sndconfig, every time I do, it works like normal it
gets to the point of probing & finding my ess1868 audio card
& then when I tell it to go ahead, I get a blue screen with a
blinking cursor. No key stroke combination that I have been
able to find will unfreeze it & it just sits there untill I
hit the reset button on my CPU. It does this from the normal
command line or from a command line from inside of X either
way it freezes the system & I have to hit the switch. I have
successfully used this tool on this very computer with the
same hardware on previous versions of Redhat without any
difficulty.

Any advice will be greatly appreciated.

Comment 1 Bill Nottingham 1999-09-18 21:18:59 UTC
If you run 'pnpdump -c' from the command line, what does it do?

Comment 2 ezra 1999-09-18 21:41:59 UTC
it appears to crash my system

Comment 3 ezra 1999-09-18 23:23:59 UTC
it appears to crash my system

Comment 4 ezra 1999-09-19 19:55:59 UTC
Oops sorry for that second reply, I also tried the things you mention
in bug note 2401. 'modprobe sound' returns me to a blank command line.
'isapnp /etc/isapnp.conf' says file not found.
pnpdump without the -c returns the following

#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0800
#             Maximum IO base address 0x0ffe
#             IO base alignment 2 bytes
#             Number of IO addresses required: 2
# (IO 2 (SIZE 2) (BASE 0x0800))

#     End dependent functions
 (NAME "ESS1868/-1[1]{ESS ES1868 Plug and Play AudioDrive}")
# (ACT Y)
))

# Logical device id ESS0001
#     Device supports vendor reserved register @ 0x39
#     Device supports vendor reserved register @ 0x3a
#     Device supports vendor reserved register @ 0x3c
#     Device supports vendor reserved register @ 0x3d
#     Device supports vendor reserved register @ 0x3e
#     Device supports vendor reserved register @ 0x3f

# Edit the entries below to uncomment out the configuration required.
# Note that only the first value of any range is given, this may be
changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE ESS1868/-1 (LD 2

# Multiple choice time, choose one only !

#     Start dependent functions: priority preferred
#       Fixed IO base address 0x0201
#             Number of IO addresses required: 1
# (IO 0 (SIZE 1) (BASE 0x0201))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0200
#             Maximum IO base address 0x020f
#             IO base alignment 1 bytes
#             Number of IO addresses required: 1
# (IO 0 (SIZE 1) (BASE 0x0200))

#     End dependent functions
#     Compatible device id PNPb02f
 (NAME "ESS1868/-1[2]{ESS ES1868 Plug and Play AudioDrive}")
# (ACT Y)
))

# Logical device id ESS0002
#     Device supports vendor reserved register @ 0x38
#     Device supports vendor reserved register @ 0x3a
#     Device supports vendor reserved register @ 0x3c
#     Device supports vendor reserved register @ 0x3d
#     Device supports vendor reserved register @ 0x3e
#     Device supports vendor reserved register @ 0x3f

# Edit the entries below to uncomment out the configuration required.
# Note that only the first value of any range is given, this may be
changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE ESS1868/-1 (LD 3

# Multiple choice time, choose one only !

#     Start dependent functions: priority preferred
#       IRQ 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 12 (MODE +E)))
#       Fixed IO base address 0x0168
#             Number of IO addresses required: 8
# (IO 0 (SIZE 8) (BASE 0x0168))
#       Fixed IO base address 0x036e
#             Number of IO addresses required: 2
# (IO 1 (SIZE 2) (BASE 0x036e))

#       Start dependent functions: priority acceptable
#       IRQ 10 or 11.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 10 (MODE +E)))
#       Fixed IO base address 0x0168
#             Number of IO addresses required: 8
# (IO 0 (SIZE 8) (BASE 0x0168))
#       Fixed IO base address 0x036e
#             Number of IO addresses required: 2
# (IO 1 (SIZE 2) (BASE 0x036e))

#       Start dependent functions: priority acceptable
#       IRQ 10, 11 or 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 10 (MODE +E)))
#       Fixed IO base address 0x01e8
#             Number of IO addresses required: 8
# (IO 0 (SIZE 8) (BASE 0x01e8))
#       Fixed IO base address 0x03ee
#             Number of IO addresses required: 2
# (IO 1 (SIZE 2) (BASE 0x03ee))

#       Start dependent functions: priority functional
#       IRQ 10, 11 or 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 10 (MODE +E)))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0100
#             Maximum IO base address 0x01f8
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 0 (SIZE 8) (BASE 0x0100))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0300
#             Maximum IO base address 0x03fe
#             IO base alignment 2 bytes
#             Number of IO addresses required: 2
# (IO 1 (SIZE 2) (BASE 0x0300))

#     End dependent functions
#     Compatible device id PNP0600
 (NAME "ESS1868/-1[3]{ESS ES1868 Plug and Play AudioDrive}")
# (ACT Y)
))
# End tag... Checksum 0x00 (OK)

# Returns all cards to the "Wait for Key" state
(WAITFORKEY)

Comment 5 ezra 1999-09-19 20:04:59 UTC
More info - when the lockup happens I can't telnet in either & if I
have a running telent it kills it.

Comment 6 Bill Nottingham 1999-09-23 19:22:59 UTC
Try the latest isapnptools & sndconfig
(1.18b-2, and 0.37-4) from Raw Hide. This should solve
the problem. If it doesn't please reopen.

Comment 7 ezra 1999-10-04 06:50:59 UTC
Ok I've downloaded & installed sndconfig .037 from Rawhide I also got
the new newt & kudzu which the module claimed it was dependent on, they
all installed fine & I ran sndconfig & guess what, same crash at the
same point in the program. I get a complete system lockup. Any other
suggestions ?

Comment 8 ezra 1999-10-04 06:59:59 UTC
Sorry- my mistake I forgot to install isapnptools, it worked fine after
I did, thanks for the help

Comment 9 Bill Nottingham 1999-10-04 15:09:59 UTC
Good to see that it worked. :)


Note You need to log in before you can comment on or make changes to this bug.